ELFloader versions

John-Mark Bell jmb202 at ecs.soton.ac.uk
Wed Jan 12 14:00:26 PST 2005


On Wed, 12 Jan 2005, Nick Burrett wrote:

> I'm trying to do some simple ELF executable testing with the ELFloader
> module version 0.03 (22 Jan 2004).  Is this the correct or most recent
> relese ?  The accompanying ChangeLog suggests 0.04 instead.

Release 0.04, module version 0.03. I can't quite recall why I thought such 
a versioning scheme was worthwhile, but there you go ;) (I suspect it may 
have had something to do with the accompanying tools changing, but the 
module remaining the same).

> I'm at a loss to explain the mysterious system corruption that occurs with
> loading ELF binaries compiled for RISC OS.  I'd like to get confirmation
> on this version before continuing.

There is a known issue with some binaries causing system freezes which 
I've not had time to get to the bottom of. However, there is a module 
version 0.04 - http://moose.mine.nu:6888/el004.zip which has been 
rewritten in C, so is somewhat more maintainable. This does, however, have 
the same issues as 0.03 (which I suspect are to do with wimpslot 
resizing, but I've no hard evidence for this)

John.




More information about the gcc mailing list